path: /build/build/libjcat-dev-libs-0.2.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gtk-doc -man -test gpg introspection pkcs7 vala" emerge dev-libs/libjcat -pv -t && \
    USE="-gtk-doc -man -test gpg introspection pkcs7 vala" emerge -j ${JOBS} --nodeps dev-libs/libjcat
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libjcat && luet-portage --dir /pkgdir/libjcat
    dev-libs/libjcat && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c4c7e2b8e796a77f28ef16d68769b7faf201389d216584c15a522484e9f2f18d
  package:
    name: libjcat
    version: 0.2.1
    category: dev-libs
    use_flags:
    - -gtk-doc
    - -man
    - -test
    - gpg
    - introspection
    - pkcs7
    - vala
    requires:
    - name: tpm2-tss
      version: '>=0'
      category: app-crypt
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library and tool for reading and writing Jcat files
    uri:
    - https://github.com/hughsie/libjcat
    license: LGPL-2.1+
    buildtimestamp: 2024-02-17 08:23:32.395723707 +0000 UTC m=+592.250516296
    labels:
      BDEPEND: virtual/pkgconfig || ( ( dev-lang/python:3.8[xml] dev-python/setuptools[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9[xml] dev-python/setuptools[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7[xml] dev-python/setuptools[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ( dev-lang/python:3.10[xml] dev-python/setuptools[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ) gtk-doc? ( dev-util/gtk-doc ) man? ( sys-apps/help2man ) test? ( net-libs/gnutls[tools]
        ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: dev-libs/glib:2 dev-libs/json-glib:= gpg? ( app-crypt/gpgme dev-libs/libgpg-error
        ) introspection? ( dev-libs/gobject-introspection:= ) pkcs7? ( net-libs/gnutls
        ) vala? ( dev-lang/vala:= )
      IUSE: +gpg gtk-doc +introspection +man +pkcs7 test vala
      RDEPEND: dev-libs/glib:2 dev-libs/json-glib:= gpg? ( app-crypt/gpgme dev-libs/libgpg-error
        ) introspection? ( dev-libs/gobject-introspection:= ) pkcs7? ( net-libs/gnutls
        ) vala? ( dev-lang/vala:= )
      emerge.packages: dev-libs/libjcat
      kit: core-kit
      original.package.name: dev-libs/libjcat
      original.package.slot: "0"
      original.package.version: 0.2.1
    treedir: /build/packages
  package_dir: /pkgdir/libjcat
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 78b8520cc1672144e3ca6a95802352e2be9a020acec4050915d5fd08261a9123
compressiontype: zstd
files:
- usr/bin/jcat-tool
- usr/include/libjcat-1/jcat.h
- usr/include/libjcat-1/libjcat/jcat-blob.h
- usr/include/libjcat-1/libjcat/jcat-bt-checkpoint.h
- usr/include/libjcat-1/libjcat/jcat-bt-verifier.h
- usr/include/libjcat-1/libjcat/jcat-common.h
- usr/include/libjcat-1/libjcat/jcat-compile.h
- usr/include/libjcat-1/libjcat/jcat-context.h
- usr/include/libjcat-1/libjcat/jcat-engine.h
- usr/include/libjcat-1/libjcat/jcat-file.h
- usr/include/libjcat-1/libjcat/jcat-item.h
- usr/include/libjcat-1/libjcat/jcat-result.h
- usr/include/libjcat-1/libjcat/jcat-version.h
- usr/lib64/girepository-1.0/Jcat-1.0.typelib
- usr/lib64/libjcat.so
- usr/lib64/libjcat.so.1
- usr/lib64/libjcat.so.1.0.0
- usr/lib64/pkgconfig/jcat.pc
- usr/share/doc/libjcat-0.2.1/NEWS.bz2
- usr/share/doc/libjcat-0.2.1/README.md.bz2
- usr/share/gir-1.0/Jcat-1.0.gir
- usr/share/vala/vapi/jcat.deps
- usr/share/vala/vapi/jcat.vapi
- var/db/pkg/dev-libs/libjcat-0.2.1/BDEPEND
- var/db/pkg/dev-libs/libjcat-0.2.1/BUILD_TIME
- var/db/pkg/dev-libs/libjcat-0.2.1/CATEGORY
- var/db/pkg/dev-libs/libjcat-0.2.1/CBUILD
- var/db/pkg/dev-libs/libjcat-0.2.1/CFLAGS
- var/db/pkg/dev-libs/libjcat-0.2.1/CHOST
- var/db/pkg/dev-libs/libjcat-0.2.1/CONTENTS
- var/db/pkg/dev-libs/libjcat-0.2.1/COUNTER
- var/db/pkg/dev-libs/libjcat-0.2.1/CXXFLAGS
- var/db/pkg/dev-libs/libjcat-0.2.1/DEFINED_PHASES
- var/db/pkg/dev-libs/libjcat-0.2.1/DEPEND
- var/db/pkg/dev-libs/libjcat-0.2.1/DESCRIPTION
- var/db/pkg/dev-libs/libjcat-0.2.1/EAPI
- var/db/pkg/dev-libs/libjcat-0.2.1/FEATURES
- var/db/pkg/dev-libs/libjcat-0.2.1/HOMEPAGE
- var/db/pkg/dev-libs/libjcat-0.2.1/INHERITED
- var/db/pkg/dev-libs/libjcat-0.2.1/IUSE
- var/db/pkg/dev-libs/libjcat-0.2.1/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libjcat-0.2.1/KEYWORDS
- var/db/pkg/dev-libs/libjcat-0.2.1/LDFLAGS
- var/db/pkg/dev-libs/libjcat-0.2.1/LICENSE
- var/db/pkg/dev-libs/libjcat-0.2.1/NEEDED
- var/db/pkg/dev-libs/libjcat-0.2.1/PF
- var/db/pkg/dev-libs/libjcat-0.2.1/PROVIDES
- var/db/pkg/dev-libs/libjcat-0.2.1/RDEPEND
- var/db/pkg/dev-libs/libjcat-0.2.1/REQUIRES
- var/db/pkg/dev-libs/libjcat-0.2.1/RESTRICT
- var/db/pkg/dev-libs/libjcat-0.2.1/SIZE
- var/db/pkg/dev-libs/libjcat-0.2.1/SLOT
- var/db/pkg/dev-libs/libjcat-0.2.1/USE
- var/db/pkg/dev-libs/libjcat-0.2.1/environment.bz2
- var/db/pkg/dev-libs/libjcat-0.2.1/libjcat-0.2.1.ebuild
- var/db/pkg/dev-libs/libjcat-0.2.1/repository
package_cacheimage: ""
runtime:
  name: libjcat
  version: 0.2.1
  category: dev-libs
  use_flags:
  - -gtk-doc
  - -man
  - -test
  - gpg
  - introspection
  - pkcs7
  - vala
  requires:
  - name: gpgme
    version: '>=0'
    category: app-crypt-1
  - name: vala
    version: '>=0'
    category: dev-lang-0.54
  - name: json-glib
    version: '>=0'
    category: dev-libs
  - name: libgpg-error
    version: '>=0'
    category: dev-libs
  - name: gnutls
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library and tool for reading and writing Jcat files
  uri:
  - https://github.com/hughsie/libjcat
  license: LGPL-2.1+
  labels:
    BDEPEND: virtual/pkgconfig || ( ( dev-lang/python:3.8[xml] dev-python/setuptools[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9[xml] dev-python/setuptools[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7[xml] dev-python/setuptools[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ( dev-lang/python:3.10[xml] dev-python/setuptools[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ) gtk-doc? ( dev-util/gtk-doc ) man? ( sys-apps/help2man ) test? ( net-libs/gnutls[tools]
      ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: dev-libs/glib:2 dev-libs/json-glib:= gpg? ( app-crypt/gpgme dev-libs/libgpg-error
      ) introspection? ( dev-libs/gobject-introspection:= ) pkcs7? ( net-libs/gnutls
      ) vala? ( dev-lang/vala:= )
    IUSE: +gpg gtk-doc +introspection +man +pkcs7 test vala
    RDEPEND: dev-libs/glib:2 dev-libs/json-glib:= gpg? ( app-crypt/gpgme dev-libs/libgpg-error
      ) introspection? ( dev-libs/gobject-introspection:= ) pkcs7? ( net-libs/gnutls
      ) vala? ( dev-lang/vala:= )
    emerge.packages: dev-libs/libjcat
    kit: core-kit
    original.package.name: dev-libs/libjcat
    original.package.slot: "0"
    original.package.version: 0.2.1
